| hxt-8.5.4: A collection of tools for processing XML with Haskell. | Source code | Contents | Index
Data.Tree.NTree.TypeDefs |
Portability | portable
Stability | experimental
Maintainer | Uwe Schmidt (uwe\@fh-wedel.de)
Description
Interface definition for trees n-ary tree structure (rose trees)
Synopsis
module Data.Tree.Class
data NTree a = NTree a (NTrees a)
type NTrees a = [NTree a]
formatNTreeF :: (node -> String) -> (String -> String) -> (String -> String) -> NTree node -> String -> String
Documentation
module Data.Tree.Class
data NTree a | Source
n-ary ordered tree (rose trees) a tree consists of a node and a possible empty list of children. If the list of children is empty, the node is a leaf, else it's an inner node. NTree implements Eq, Ord, Show and Read
Constructors
NTree a (NTrees a) |
Instances
Functor NTree
Typeable1 NTree
Tree NTree
Eq a => Eq (NTree a)
Ord a => Ord (NTree a)
Read a => Read (NTree a)
Show a => Show (NTree a)
NFData a => NFData (NTree a)
XmlNode a => XmlNode (NTree a)
type NTrees a = [NTree a] | Source
shortcut for a sequence of n-ary trees
formatNTreeF :: (node -> String) -> (String -> String) -> (String -> String) -> NTree node -> String -> String | Source
convert a tree into a pseudo graphical string reprsentation
Produced by Haddock version 2.4.2